#ifndef CM_MPROC_H
#define CM_MPROC_H

#include "cm_jparser.h"
#include <zephyr/data/json.h>

typedef enum {
    MESSAGE_OK = 0,
    SPI_NOT_INITIALIZED,
    SPI_NOT_READY,
    SPI_WRITE_ERROR,
    DATA_OUT_OF_BOUNDS,
    UNABLE_TO_INIT_SPI,
    ADC_NOT_INITIALIZED,
    ADC_NOT_READY,
    ADC_READ_ERROR, 
    ADC_INVALID_SRC
} message_error_t;

message_error_t cm_message_proc_init( void );
message_error_t cm_mproc( int64_t flags , json_data_t * message );

#endif //CM_MPROC_H