#include "cm_utils.h"

// Test bits in int64 where the LSB is bit 0
bool test_bit_int64( int64_t data , unsigned bit ) {
    if( bit > 63 ) return false;
    int64_t shift = (int64_t) 1;
    shift = shift<<bit;
    int64_t masked_data = data & shift;
    // printk("masked data: " PRINTF_BINARY_PATTERN_INT64 "\n", PRINTF_BYTE_TO_BINARY_INT64((masked_data)));
    return (masked_data != (int64_t) 0);
}