
#ifndef cm_jparser_h
#define cm_jparser_h

#include <zephyr/data/json.h>

#include <stdbool.h>

typedef struct json_data {
    int set_vout_mv;
    int set_max_i_in_ma;
    int set_max_i_out_ma;
    int set_max_temp_in;
    int set_max_temp_out;
    int get_vin_mv;
    int get_vout_mv;
    int get_i_in_ma;
    int get_i_out_ma;
    int get_temp_in;
    int get_temp_out;
} json_data_t;

#define JSON_DATA_CNT (sizeof(json_data_t)/sizeof(int))

typedef enum message_result_codes {
    OK = 0,
    UNKOWN_COMMAND_OR_QUERY,
    VALUE_OUT_OF_RANGE
} message_result_codes_t;

int64_t cm_jparser( char * instr , size_t str_len , json_data_t * values  );

#endif