#ifndef CM_READ_VIN_H
#define CM_READ_VIN_H

#include "cm_mproc.h"

enum analog_source {
    ANA_SRC_V_IN = 2,
    ANA_SRC_V_OUT = 4,
    ANA_SRC_I_IN = 0,
    ANA_SRC_UNUSED = 3,
    ANA_SRC_I_OUT = 1,
    ANA_SRC_TEMP_IN = 5,
    ANA_SRC_TEMP_OUT = 6,
    ANA_SRC_SPARE = 7,
    ANA_SRC_ALL = 8
} typedef analog_source_t;


#define ANA_READ_ALL_BUF_SIZE (sizeof(adc_map)/sizeof(adc_map[0]))

// For single values, the result is returned in the first element of result.
message_error_t cm_read_analog_mv( analog_source_t src , int32_t * result );

#endif // CM_READ_VIN_H